<template>
  <nav>
    <v-toolbar app flat dark color="primary">
      <v-toolbar-side-icon @click.stop="drawer = !drawer" ></v-toolbar-side-icon>
      <img src="https://digitaljp.com/Content/images/jp-logo-light.png" class="logo" >
      <v-toolbar-title class="white--text text-uppercase"><span class="font-weight-light" >JP</span>VIEWER</v-toolbar-title>
      <v-spacer></v-spacer>
      <language-selector></language-selector>
      <v-btn flat color="gray" >
        <span>{{ $t('navigation.singout') }}</span>
        <v-icon right >exit_to_app</v-icon>
      </v-btn>

      <!--v-btn icon>
        <v-icon>apps</v-icon>
      </v-btn>

      <v-btn icon>
        <v-icon>refresh</v-icon>
      </v-btn>

      <v-btn icon>
        <v-icon>more_vert</v-icon>
      </v-btn-->
    </v-toolbar>
    <v-navigation-drawer app v-model="drawer" class="indigo">
        <v-list dark>
          <v-list-tile v-for="link in links" :key="link.text" router :to="link.route" >
            <v-list-tile-action>
              <v-icon>{{link.icon}}</v-icon>
            </v-list-tile-action>
            <v-list-tile-content>
              <v-list-tile-title>{{$t(link.text)}} </v-list-tile-title>
            </v-list-tile-content>
          </v-list-tile>
        </v-list>
      </v-navigation-drawer>
  </nav>
</template>
<script>
import LanguageSelector from './LanguageSelector';
export default {
    name: 'Navigation',
    components: {
      LanguageSelector
    },
    data: () =>({
        drawer: false,
        links: [
          {icon: 'dashboard', text: 'navigation.dashboard', route: '/'   },
          {icon: 'folder', text: 'navigation.my_projects', route: '/projects'}, 
          {icon: 'person', text: 'navigation.team', route: '/team' }
        ]
    })
}
</script>

<style>
.logo{
  max-width: 160px;
}
</style>
